// src/popup.js
import PopupService from './popup/popup-service.js';
import AContentService from './popup/acontent-service.js';
import ImgContentService from './popup/imgcontent-service.js';


const popupService = new PopupService();
const aContentService = new AContentService(popupService);
const imgContentService = new ImgContentService(popupService);


document.addEventListener("DOMContentLoaded", async function(event) {

    aContentService.InitialiseComponents();
    imgContentService.InitialiseComponents();

});